package com.biganto.visual.roompark.presentation.screen.settings

import android.view.View
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.conductor.BigantoBaseController
import timber.log.Timber
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

class SettingsScreenController  :
    BigantoBaseController<SettingsScreenViewState
        , SettingsScreen
        , SettingsScreenPresenter>()
    , SettingsScreen {

    override fun injectDependencies() {
        getComponent()
    }

    @Inject
    override lateinit var injectedPresenter: SettingsScreenPresenter


    override fun onViewBound(v: View) {

    }

    override fun render(viewState: SettingsScreenViewState) {
        super.render(viewState)
        Timber.d("Render state $viewState")
        when(viewState){
            is SettingsScreenViewState.Idle -> render(viewState)
        }
    }

    private fun render(viewState: SettingsScreenViewState.Idle){

    }

    private fun getComponent() = DaggerSettingsScreenComponent.factory()
        .create(RoomParkApplication.component,activity as RoomParkMainActivity)
        .inject(this)

    override fun getLayoutId(): Int = R.layout.favorites_screen


}